# Enum Class CLNOutputFormat

java.lang.Object
java.lang.Enum<CLNOutputFormat>
com.io7m.calino.cmdline.internal.CLNOutputFormat

All Implemented Interfaces:
  `Serializable, Comparable<CLNOutputFormat>, Constable`

public enum CLNOutputFormat extends Enum<CLNOutputFormat>
An output format specification.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `PNG`
  The raw data is converted to a vaguely suitable PNG format.
  `RAW`
  The raw data is written exactly as it appeared in the file.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CLNOutputFormat`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static CLNOutputFormat[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### RAW

    public static final CLNOutputFormat RAW
    The raw data is written exactly as it appeared in the file.

  - ### PNG

    public static final CLNOutputFormat PNG
    The raw data is converted to a vaguely suitable PNG format.

- ## Method Details

  - ### values

    public static CLNOutputFormat[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static CLNOutputFormat valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null